aboutsummaryrefslogtreecommitdiff
path: root/cc3200/bootmgr/bootgen.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cc3200/bootmgr/bootgen.sh')
-rw-r--r--cc3200/bootmgr/bootgen.sh10
1 files changed, 9 insertions, 1 deletions
diff --git a/cc3200/bootmgr/bootgen.sh b/cc3200/bootmgr/bootgen.sh
index be495b374..cab5d2087 100644
--- a/cc3200/bootmgr/bootgen.sh
+++ b/cc3200/bootmgr/bootgen.sh
@@ -1,11 +1,19 @@
#!/bin/bash
+if [ "$#" -ne 2 ]; then
+ echo "Usage: bootgen.sh *board type* *build type*"
+ exit 1
+fi
+
+BOARD=$1
+BTYPE=$2
+
# Re-locator Path
RELOCATOR=bootmgr/relocator
# Boot Manager Path
# First parameter passed is the board type
-BOOTMGR=bootmgr/build/$1
+BOOTMGR=bootmgr/build/${BOARD}/${BTYPE}
# Check for re-locator binary
if [ ! -f $RELOCATOR/relocator.bin ]; then